aboutsummaryrefslogtreecommitdiff
path: root/push.sh
diff options
context:
space:
mode:
Diffstat (limited to 'push.sh')
-rwxr-xr-xpush.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/push.sh b/push.sh
new file mode 100755
index 0000000..60ac2da
--- /dev/null
+++ b/push.sh
@@ -0,0 +1,31 @@
+#! /bin/sh
+
+. etc/git/modules
+
+wd=`pwd`
+br=$1
+
+for i in $modules; do
+ echo "push $i" 1>&2
+ cd $i
+
+ if [ -z "$1" ]; then
+ br=`git symbolic-ref -q HEAD`
+ br=`echo $br | sed -e 's%^refs/heads/%%'`
+ fi
+
+ # Also push tags if we are pushing master.
+ #
+ if [ "$br" = "master" ]; then
+ git push --tags origin master
+ else
+ git push $ops origin $1
+ fi
+
+ if [ $? -ne 0 ]; then
+ echo "push FAILED" 1>&2
+ exit 1
+ fi
+
+ cd $wd
+done